Bug 125198 - Find & Replace dialog doesn't appear in Online
Summary: Find & Replace dialog doesn't appear in Online
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: LOOL-Tunneled-Dialogs
  Show dependency treegraph
 
Reported: 2019-05-09 21:56 UTC by Aron Budea
Modified: 2019-05-15 06:13 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-05-09 21:56:07 UTC
This is similar to bug 120277 and bug 117784.

- Open a document in Online, and try to open Edit -> Find & Replace.

=> Nothing happens.

Alternatively, using gtktiledviewer:
- Start it from a core build like this:
  bin/run gtktiledviewer --lo-path=$PWD/instdir/program <ODT file with path>
- Click the rombus with question mark, and enter the following as UNO command, then click Execute: SearchDialog

=> The dialog should appear, but nothing happens.


This is a regression in 6.3. Bibisected to the following commit using repo bibisect-linux-64-6.3. Adding Cc: Caolán McNamara, please take a look sometimes.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=f920e86fbf3968104e1dfc0e9934e80652ed0837
author		Caolán McNamara <caolanm@redhat.com>	2019-03-22 15:59:00 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-03-24 18:19:29 +0100

weld SvxSearchDialog
Comment 1 Commit Notification 2019-05-10 13:57:37 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9a78a4a16ff7b9a9d8f22809c5127f6389ec4805%5E%21

Resolves: tdf#125198 modeless dialog not appearing in online

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2019-05-10 20:27:27 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/243aad91e17960405b472eadd9f9976fec8b7028%5E%21

Related: tdf#125198 centralize notifyWindow:created to one place

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Aron Budea 2019-05-15 06:13:00 UTC
Works now, thanks for the fix, Caolán!

LOOLWSD master.. (git hash: 65540da9)
LOKit   LibreOfficeDev 6.3.0.0.alpha1 (git hash: 4cac171)